# Uses of Class
org.eclipse.birt.chart.computation.withaxes.ScaleContext

Packages that use ScaleContext
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.

## Uses of ScaleContext in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return ScaleContext
Modifier and Type
Method
Description
`ScaleContext`
ScaleContext.`copy()`
`static ScaleContext`
ScaleContext.`createSimpleScale(Object oMin, Object oMax)`
Creates a simple instance of scale.
`ScaleContext`
SharedScaleContext.`getScaleContext()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type ScaleContext
Modifier and Type
Method
Description
`void`
SharedScaleContext.`setScaleContext(ScaleContext scaleContext)`
`void`
ScaleContext.`updateShared(ScaleContext that)`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type ScaleContext
Modifier
Constructor
Description
``
`AutoScale(AutoScale.ScaleInfo info, ScaleContext context)`
``
`SharedScaleContext(ScaleContext scaleContext, Object realMin, Object realMax)`